Bug 864189 - Mouse-over stays with selected menu, not new menu
Mouse-over stays with selected menu, not new menu
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Eric Helms
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 15:52 EDT by Mitch
Modified: 2013-09-19 14:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:12:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Shows the 'Content' sub-menu while the mouse (not shown) is over the 'Systems' tab. (110.08 KB, image/png)
2012-10-08 15:52 EDT, Mitch
no flags Details

  None (edit)
Description Mitch 2012-10-08 15:52:13 EDT
Created attachment 623694 [details]
Shows the 'Content' sub-menu while the mouse (not shown) is over the 'Systems' tab.

Description of problem: When in System Engine the sub-menus dynamically change when you mouse-over a new menu selection.  However, when you have a tab currently selected, the sub-menu will not change when you hover over a new tab until you clear your selection, by clicking anywhere in the screen, then re-hovering on the desired tab.


Version-Release number of selected component (if applicable):


How reproducible: Very


Steps to Reproduce:
1. Log in to System Engine
2. Select (click) the 'Content' tab (do not click anywhere else afterwards)
3. Hover your mouse over the 'Systems' tab. It will flash quickly then show you the 'Content' tab. 
4. Click outside the control panel or anywhere 'blank' on the screen.
5. Re-hover on the 'Systems' tab.  It now shows the proper sub-menu
  
Actual results: It will flash quickly then show you the 'Content' tab.


Expected results: It should show you the sub-menu for the 'Systens' tab.


Additional info:
Comment 1 Mike McCune 2012-10-08 15:59:38 EDT
added a new screenshot that shows the mouse over Systems yet the menu is rendered on Content
Comment 2 Mike McCune 2012-10-08 15:59:57 EDT
Created attachment 623697 [details]
wrong menu selected
Comment 3 Jason E. Rist 2012-10-08 16:48:50 EDT
What browser(s)? (brings up the question of what we're officially supporting) - I cannot repro in F15 or Chrome.
Comment 4 Mike McCune 2012-10-08 17:20:06 EDT
while important to fix, not really a blocker for 1.1
Comment 5 Mitch 2012-10-10 09:25:47 EDT
Yes, not a blocker, just wanted to get it on the list.  This was with FF 10.0.7.  Mike, what browser were you using?
Comment 6 Eric Helms 2013-02-12 14:44:27 EST
This issue should be fixed as of https://github.com/Katello/katello/pull/1574
Comment 8 Mike McCune 2013-08-16 13:57:48 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 9 Mike McCune 2013-09-19 14:12:09 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.